1. Download our Official Android App: Forums for Android!

Apps Does Android 4.0 support JDK 7

Discussion in 'Android Development' started by bettymagoo, Oct 29, 2011.

  1. bettymagoo

    bettymagoo Lurker
    Thread Starter
    Rank:
    None
    Points:
    5
    Posts:
    1
    Joined:
    Oct 29, 2011

    Oct 29, 2011
    1
    0
    5
    ... or do I need to install JDK 5.0 or 6.0?
     

    Advertisement

  2. kautukraj

    kautukraj Newbie
    Rank:
    None
    Points:
    16
    Posts:
    24
    Joined:
    Jun 15, 2011

    Jun 15, 2011
    24
    1
    16
    check android's website
     
  3. jiminaus

    jiminaus Well-Known Member
    Rank:
    None
    Points:
    63
    Posts:
    190
    Joined:
    Oct 27, 2011

    Oct 27, 2011
    190
    36
    63
    Sydney, Australia
    According to the System Requirements, the Android r15 SDK requires JDK 5 or JDK 6. That doesn't necessarily preclude the possibility of using JDK 7; but I'm not a Mac, so I can't tell you if it works or not.

    However, I can tell you that even if you did run the SDK on JDK 7, none of JDK 7 would be available to you in your Android apps. None of the JDK 7 API have been migrated to Android. None the JDK 7 language changes are available because when the java files are compiled they're compiled with both target and source set to JDK 5.
     
    bettymagoo likes this.

Share This Page

Loading...